# eric3.VCS.cvsPackage.ProjectHelper

Module implementing the VCS project helper for CVS.

### Classes

CvsProjectHelper | Class implementing the VCS project helper for CVS.

### Functions

None

## CvsProjectHelper

Class implementing the VCS project helper for CVS.

### Derived from

VcsProjectHelper

### Methods

CvsProjectHelper | Constructor
cvsLogin | Private slot used to login to a remote repository.
cvsLogout | Private slot used to logout from a remote repository.
initActions | Private method to generate the action objects.
initMenu | Private method to generate the VCS menu.

### CvsProjectHelper (Constructor)

CvsProjectHelper(vcsObject, projectObject, parent=None, name=None)

Constructor

vcsObject
  reference to the vcs object
projectObject
  reference to the project object
parent
  parent widget (QWidget)
name
  name of this object (string or QString)

### CvsProjectHelper.cvsLogin

cvsLogin()

Private slot used to login to a remote repository.

### CvsProjectHelper.cvsLogout

cvsLogout()

Private slot used to logout from a remote repository.

### CvsProjectHelper.initActions

initActions()

Private method to generate the action objects.

### CvsProjectHelper.initMenu

initMenu()

Private method to generate the VCS menu.

Up